Subject: bug#55405: closed (Re: bug#55406: GUIX Image API: wrong fs type and flag)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 May 2022 08:31:02 +0000

Your bug report

#55406: Image API produces incorrect images

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55406: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55406
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55406: GUIX Image API: wrong fs type and flag
From: Mathieu Othacehe <[email-masked]>
To: Pavel Shlyak <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 May 2022 10:30:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Pavel,

> Ok, I tried to format them :)

Thanks, I added commit messages following our guidelines, fixed the
indentation and a few other small details.

Pushed on master!

Mathieu

Subject: Image API produces incorrect images
From: Pavel Shlyak <[email-masked]>
To: [email-masked]
Date: Sat, 14 May 2022 00:19:58 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I have a scheme code like

(define rpi-boot-partition
(partition
(size (* 128 (expt 2 20)))
(label "BOOT")
(file-system "vfat")
(flags '())
(initializer (gexp initialize-efi-partition))))

(define rpi-root-partition
(partition
(size 'guess)
(label "RASPIROOT")
(file-system "ext4")
(flags '(boot))
(initializer (gexp initialize-root-partition))))

(define raspberry-pi-image
(image
(format 'disk-image)
(partitions (list rpi-boot-partition rpi-root-partition))))

The output is like that:
$ fdisk -l /gnu/store/hnsfs5a161f5hvymg7ar541qrml62yvv-raspberry-pi-barebones-raw-image
Device                                                                        Boot  Start     End Sectors  Size Id Type
/gnu/store/hnsfs5a161f5hvymg7ar541qrml62yvv-raspberry-pi-barebones-raw-image1           1  262144  262144  128M 83 Linux
/gnu/store/hnsfs5a161f5hvymg7ar541qrml62yvv-raspberry-pi-barebones-raw-image2      262145 3583688 3321544  1.6G 83 Linux	

No boot flag is set on the first partition. The file system seems to be incorrect (ext* instead of vfat)